ICU 73.1 73.1

Public Member Functions | Friends
icu::number::LocalizedNumberRangeFormatter Class Reference

A NumberRangeFormatter that has a locale associated with it; this means .formatRange() methods are available. More...

`#include <numberrangeformatter.h>`

Inheritance diagram for icu::number::LocalizedNumberRangeFormatter:

## Public Member Functions
FormattedNumberRange | formatFormattableRange (const Formattable &first, const Formattable &second, UErrorCode &status) const
| Format the given Formattables to a string using the settings specified in the NumberRangeFormatter fluent setting chain. More...
| LocalizedNumberRangeFormatter ()=default
| Default constructor: puts the formatter into a valid but undefined state. More...
| LocalizedNumberRangeFormatter (const LocalizedNumberRangeFormatter &other)
| Returns a copy of this LocalizedNumberRangeFormatter. More...
| LocalizedNumberRangeFormatter (LocalizedNumberRangeFormatter &&src) noexcept
| Move constructor: The source LocalizedNumberRangeFormatter will be left in a valid but undefined state. More...
LocalizedNumberRangeFormatter & | operator= (const LocalizedNumberRangeFormatter &other)
| Copy assignment operator. More...
LocalizedNumberRangeFormatter & | operator= (LocalizedNumberRangeFormatter &&src) noexcept
| Move assignment operator: The source LocalizedNumberRangeFormatter will be left in a valid but undefined state. More...
void | formatImpl (impl::UFormattedNumberRangeData &results, bool equalBeforeRounding, UErrorCode &status) const
| ~LocalizedNumberRangeFormatter ()
| Destruct this LocalizedNumberRangeFormatter, cleaning up any memory it might own. More...
Public Member Functions inherited from icu::number::NumberRangeFormatterSettings< LocalizedNumberRangeFormatter >
LocalizedNumberRangeFormatter | numberFormatterBoth (const UnlocalizedNumberFormatter &formatter) const &
| Sets the NumberFormatter instance to use for the numbers in the range. More...
LocalizedNumberRangeFormatter | numberFormatterBoth (const UnlocalizedNumberFormatter &formatter) &&
| Overload of numberFormatterBoth() for use on an rvalue reference. More...
LocalizedNumberRangeFormatter | numberFormatterBoth (UnlocalizedNumberFormatter &&formatter) const &
| Overload of numberFormatterBoth() for use on an rvalue reference. More...
LocalizedNumberRangeFormatter | numberFormatterBoth (UnlocalizedNumberFormatter &&formatter) &&
| Overload of numberFormatterBoth() for use on an rvalue reference. More...
LocalizedNumberRangeFormatter | numberFormatterFirst (const UnlocalizedNumberFormatter &formatterFirst) const &
| Sets the NumberFormatter instance to use for the first number in the range. More...
LocalizedNumberRangeFormatter | numberFormatterFirst (const UnlocalizedNumberFormatter &formatterFirst) &&
| Overload of numberFormatterFirst() for use on an rvalue reference. More...
LocalizedNumberRangeFormatter | numberFormatterFirst (UnlocalizedNumberFormatter &&formatterFirst) const &
| Overload of numberFormatterFirst() for use on an rvalue reference. More...
LocalizedNumberRangeFormatter | numberFormatterFirst (UnlocalizedNumberFormatter &&formatterFirst) &&
| Overload of numberFormatterFirst() for use on an rvalue reference. More...
LocalizedNumberRangeFormatter | numberFormatterSecond (const UnlocalizedNumberFormatter &formatterSecond) const &
| Sets the NumberFormatter instance to use for the second number in the range. More...
LocalizedNumberRangeFormatter | numberFormatterSecond (const UnlocalizedNumberFormatter &formatterSecond) &&
| Overload of numberFormatterSecond() for use on an rvalue reference. More...
LocalizedNumberRangeFormatter | numberFormatterSecond (UnlocalizedNumberFormatter &&formatterSecond) const &
| Overload of numberFormatterSecond() for use on an rvalue reference. More...
LocalizedNumberRangeFormatter | numberFormatterSecond (UnlocalizedNumberFormatter &&formatterSecond) &&
| Overload of numberFormatterSecond() for use on an rvalue reference. More...
LocalizedNumberRangeFormatter | collapse (UNumberRangeCollapse collapse) const &
| Sets the aggressiveness of "collapsing" fields across the range separator. More...
LocalizedNumberRangeFormatter | collapse (UNumberRangeCollapse collapse) &&
| Overload of collapse() for use on an rvalue reference. More...
LocalizedNumberRangeFormatter | identityFallback (UNumberRangeIdentityFallback identityFallback) const &
| Sets the behavior when the two sides of the range are the same. More...
LocalizedNumberRangeFormatter | identityFallback (UNumberRangeIdentityFallback identityFallback) &&
| Overload of identityFallback() for use on an rvalue reference. More...
LocalPointer< LocalizedNumberRangeFormatter > | clone () const &
| Returns the current (Un)LocalizedNumberRangeFormatter as a LocalPointer wrapping a heap-allocated copy of the current object. More...
LocalPointer< LocalizedNumberRangeFormatter > | clone () &&
| Overload of clone for use on an rvalue reference. More...
UBool | copyErrorTo (UErrorCode &outErrorCode) const
| Sets the UErrorCode if an error occurred in the fluent chain. More...

## Friends
class | NumberRangeFormatterSettings< UnlocalizedNumberRangeFormatter >
class | NumberRangeFormatterSettings< LocalizedNumberRangeFormatter >
class | UnlocalizedNumberRangeFormatter

## Detailed Description

A NumberRangeFormatter that has a locale associated with it; this means .formatRange() methods are available.

Instances of this class are immutable and thread-safe.

See also
  NumberFormatter

Stable:
  ICU 63

Definition at line 480 of file numberrangeformatter.h.

## Constructor & Destructor Documentation

## ◆ LocalizedNumberRangeFormatter() [1/3]

icu::number::LocalizedNumberRangeFormatter::LocalizedNumberRangeFormatter | ( |  | ) |
| default

Default constructor: puts the formatter into a valid but undefined state.

Stable:
  ICU 63

## ◆ LocalizedNumberRangeFormatter() [2/3]

icu::number::LocalizedNumberRangeFormatter::LocalizedNumberRangeFormatter | ( | const LocalizedNumberRangeFormatter & | other | ) |

Returns a copy of this LocalizedNumberRangeFormatter.

Stable:
  ICU 63

## ◆ LocalizedNumberRangeFormatter() [3/3]

icu::number::LocalizedNumberRangeFormatter::LocalizedNumberRangeFormatter | ( | LocalizedNumberRangeFormatter && | src | ) |
| noexcept

Move constructor: The source LocalizedNumberRangeFormatter will be left in a valid but undefined state.

Stable:
  ICU 63

## ◆ ~LocalizedNumberRangeFormatter()

icu::number::LocalizedNumberRangeFormatter::~LocalizedNumberRangeFormatter | ( |  | ) |

Destruct this LocalizedNumberRangeFormatter, cleaning up any memory it might own.

Stable:
  ICU 63

## Member Function Documentation

## ◆ formatFormattableRange()

FormattedNumberRange icu::number::LocalizedNumberRangeFormatter::formatFormattableRange | ( | const Formattable & | first,
|  | const Formattable & | second,
|  | UErrorCode & | status
| ) |  | const

Format the given Formattables to a string using the settings specified in the NumberRangeFormatter fluent setting chain.

Parameters

  first | The first number in the range, usually to the left in LTR locales.
  second | The second number in the range, usually to the right in LTR locales.
  status | Set if an error occurs while formatting.

Returns
  A FormattedNumberRange object; call .toString() to get the string.

Stable:
  ICU 63

## ◆ formatImpl()

void icu::number::LocalizedNumberRangeFormatter::formatImpl | ( | impl::UFormattedNumberRangeData & | results,
|  | bool | equalBeforeRounding,
|  | UErrorCode & | status
| ) |  | const

Parameters

  results | The results object. This method will mutate it to save the results.
  equalBeforeRounding | Whether the number was equal before copying it into a DecimalQuantity. Used for determining the identity fallback behavior.
  status | Set if an error occurs while formatting.

Internal:
  Do not use. This API is for internal use only.

## ◆ operator=() [1/2]

LocalizedNumberRangeFormatter& icu::number::LocalizedNumberRangeFormatter::operator= | ( | const LocalizedNumberRangeFormatter & | other | ) |

Copy assignment operator.

Stable:
  ICU 63

## ◆ operator=() [2/2]

LocalizedNumberRangeFormatter& icu::number::LocalizedNumberRangeFormatter::operator= | ( | LocalizedNumberRangeFormatter && | src | ) |
| noexcept

Move assignment operator: The source LocalizedNumberRangeFormatter will be left in a valid but undefined state.

Stable:
  ICU 63

The documentation for this class was generated from the following file:

- numberrangeformatter.h